메인 콘텐츠로 건너뛰기

Documentation Index

Fetch the complete documentation index at: https://docs.apigo.ai/llms.txt

Use this file to discover all available pages before exploring further.

권장 엔드포인트

최소한의 요청

{
  "model": "gpt-4.1",
  "input": [
    {
      "role": "user",
      "content": [
        { "type": "input_text", "text": "Describe the UI structure in this screenshot." },
        { "type": "input_image", "image_url": "https://example.com/ui.png" }
      ]
    }
  ]
}

cURL 예

curl https://maas.apigo.ai/v1/responses \
  -H "Authorization: Bearer $YOUR API KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gpt-4.1",
    "input": [
      {
        "role": "user",
        "content": [
          { "type": "input_text", "text": "Describe the UI structure in this screenshot." },
          { "type": "input_image", "image_url": "https://example.com/ui.png" }
        ]
      }
    ]
  }'

파이썬 예제

from openai import OpenAI

client = OpenAI(
    base_url="https://maas.apigo.ai/v1",
    api_key="<YOUR API KEY>",
)

response = client.responses.create(
    model="gpt-4.1",
    input=[
        {
            "role": "user",
            "content": [
                {"type": "input_text", "text": "Describe the UI structure in this screenshot."},
                {"type": "input_image", "image_url": "https://example.com/ui.png"},
            ],
        }
    ],
)

print(response.output_text)

Node.js 예

import OpenAI from "openai";

const client = new OpenAI({
  baseURL: "https://maas.apigo.ai/v1",
  apiKey: process.env.YOUR API KEY,
});

const response = await client.responses.create({
  model: "gpt-4.1",
  input: [
    {
      role: "user",
      content: [
        { type: "input_text", text: "Describe the UI structure in this screenshot." },
        { type: "input_image", image_url: "https://example.com/ui.png" }
      ]
    }
  ]
});

console.log(response.output_text);

모범 사례

  • 재사용 가능한 자산에는 파일 ID를 선호합니다.
  • 서버 측 여러 이미지의 순서 정규화
  • OCR이 많거나 세부 사항이 많은 요청에 대해 이미지 토큰 비용을 별도로 평가합니다.